import { default as pino } from 'pino'
import Env from './Env'

export const logger = pino({ level: Env.orFail('CORE_LOG') })
logger.trace('Logger created')

export function child(name: string, level?: string) {
    const l = logger.child({ name, level: level || Env.orFail(name.toUpperCase() + '_LOG') })
    l.trace('Logger created')
    return l
}
